> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create chat completion

> Creates a model response for the given chat conversation.



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json post /v1/chat/completions
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/chat/completions:
    post:
      tags:
        - inference
      summary: Create chat completion
      description: Creates a model response for the given chat conversation.
      operationId: create_chat_completion_v1_chat_completions_post
      parameters:
        - name: ai_project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: current project ID
            title: Ai Project Id
          description: current project ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatCompletionRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ChatCompletionResponse'
                  - $ref: '#/components/schemas/ChatCompletionChunk'
                title: Response Create Chat Completion V1 Chat Completions Post
              example:
                id: cmpl-bd18c4194f544c189578cfcb273a2f74
                choices:
                  - finish_reason: stop
                    index: 0
                    text: >-
                      Hello! It's nice to meet you. Is there something I can
                      help you with, or would you like to chat?
                created: 1717516032
                model: meta-llama/Llama-3.3-70B-Instruct
                object: text_completion
                usage:
                  completion_tokens: 26
                  prompt_tokens: 13
                  total_tokens: 39
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ChatCompletionRequest:
      properties:
        model:
          type: string
          title: Model
          description: ID of the model to use.
          examples:
            - meta-llama/Meta-Llama-3.1-70B-Instruct
        store:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Store
          description: >-
            Whether or not to store the output of this chat completion request
            for use in our model distillation.
          examples:
            - false
        messages:
          items:
            $ref: '#/components/schemas/ChatCompletionMessage'
          type: array
          minItems: 1
          title: Messages
          description: >-
            A list of messages comprising the conversation so far. [Example
            Python
            code](https://cookbook.openai.com/examples/how_to_format_inputs_to_chatgpt_models).
          examples:
            - - content: Hello!
                role: user
        max_tokens:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Max Tokens
          description: >-
            The maximum number of tokens that can be generated in the
            completion.


            The token count of your prompt plus `max_tokens` cannot exceed the
            model's context length. [Example Python
            code](https://cookbook.openai.com/examples/how_to_count_tokens_with_tiktoken)
            for counting tokens.
          examples:
            - 100
        max_completion_tokens:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Max Completion Tokens
          description: >-
            An upper bound for the number of tokens that can be generated for a
            completion, including visible output tokens and reasoning tokens.
          examples:
            - 100
        temperature:
          anyOf:
            - type: number
              maximum: 2
              minimum: 0
            - type: 'null'
          title: Temperature
          description: >-
            What sampling temperature to use, between 0 and 2. Higher values
            like 0.8 will make the output more random, while lower values like
            0.2 will make it more focused and deterministic.


            We generally recommend altering this or `top_p` but not both.
          default: 1
        top_p:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Top P
          description: >-
            An alternative to sampling with temperature, called nucleus
            sampling, where the model considers the results of the tokens with
            top_p probability mass. So 0.1 means only the tokens comprising the
            top 10% probability mass are considered.


            We generally recommend altering this or `temperature` but not both.
          default: 1
        tools:
          anyOf:
            - items:
                $ref: '#/components/schemas/ChatCompletionTool'
              type: array
            - type: 'null'
          title: Tools
        tool_choice:
          anyOf:
            - type: string
              enum:
                - none
              const: none
            - type: string
              enum:
                - auto
              const: auto
            - type: string
              enum:
                - required
              const: required
            - $ref: '#/components/schemas/ChatCompletionNamedToolChoice'
            - type: 'null'
          title: Tool Choice
        reasoning_effort:
          anyOf:
            - type: string
              enum:
                - low
                - medium
                - high
            - type: 'null'
          title: Reasoning Effort
        'n':
          anyOf:
            - type: integer
              maximum: 128
              minimum: 1
            - type: 'null'
          title: 'N'
          description: >-
            How many completions to generate for each prompt.


            **Note:** Because this parameter generates many completions, it can
            quickly consume your token quota. Use carefully and ensure that you
            have reasonable settings for `max_tokens` and `stop`.
          default: 1
        stream:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Stream
          description: >-
            If set, partial message deltas will be sent, like in ChatGPT. Tokens
            will be sent as data-only [server-sent
            events](https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format)
            as they become available, with the stream terminated by a `data:
            [DONE]` message. [Example Python
            code](https://cookbook.openai.com/examples/how_to_stream_completions).
          default: false
        stream_options:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Stream Options
          description: >-
            If set to {"include_usage": True}, usage stats will be sent with the
            last chunk of data[Example Python
            code](https://cookbook.openai.com/examples/how_to_stream_completions)
          examples:
            - null
        stop:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Stop
          description: Up to 4 sequences where the API will stop generating further tokens.
          examples:
            - null
        presence_penalty:
          anyOf:
            - type: number
              maximum: 2
              minimum: -2
            - type: 'null'
          title: Presence Penalty
          description: >-
            Number between -2.0 and 2.0. Positive values penalize new tokens
            based on whether they appear in the text so far,increasing the
            model's likelihood to talk about new topics.


            [See more information about frequency and presence
            penalties.](https://platform.openai.com/docs/guides/text-generation/parameter-details)
          default: 0
        frequency_penalty:
          anyOf:
            - type: number
              maximum: 2
              minimum: -2
            - type: 'null'
          title: Frequency Penalty
          description: >-
            Number between -2.0 and 2.0. Positive values penalize new tokens
            based on their existing frequency in the text so far, decreasing the
            model's likelihood to repeat the same line verbatim.


            [See more information about frequency and presence
            penalties.](https://platform.openai.com/docs/guides/text-generation/parameter-details)
          default: 0
        logit_bias:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Logit Bias
          description: >-
            Modify the likelihood of specified tokens appearing in the
            completion.


            Accepts a JSON object that maps tokens (specified by their token ID
            in the GPT tokenizer) to an associated bias value from -100 to 100.
            Mathematically, the bias is added to the logits generated by the
            model prior to sampling. The exact effect will vary per model, but
            values between -1 and 1 should decrease or increase likelihood of
            selection; values like -100 or 100 should result in a ban or
            exclusive selection of the relevant token.


            As an example, you can pass `{"50256": -100}` to prevent the token
            from being generated.
          examples:
            - null
        logprobs:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Logprobs
          description: >-
            Whether to return log probabilities of the output tokens or not. If
            true, returns the log probabilities of each output token returned in
            the `content` of `message`.
          default: false
        top_logprobs:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Top Logprobs
          description: >-
            An non-negative integer specifying the number of most likely tokens
            to return at each token position, each with an associated log
            probability. `logprobs` must be set to `true` if this parameter is
            used.
          examples:
            - null
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
          description: >-
            A unique identifier representing your end-user, which can help us to
            monitor and detect abuse. [Learn
            more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).
          examples:
            - null
        response_format:
          anyOf:
            - $ref: >-
                #/components/schemas/app__models__chat_completion__ResponseFormat
            - type: 'null'
          description: >-
            Similar to chat completion, this parameter specifies the format of
            output. Only {'type': 'json_object'} or {'type': 'text' } is
            supported.
          examples:
            - null
        extra_body:
          anyOf:
            - type: object
            - type: 'null'
          title: Extra Body
          description: To provide extra parameters.
          examples:
            - null
        service_tier:
          allOf:
            - $ref: '#/components/schemas/ServiceTier'
          description: The service tier to use for the request.
          default: auto
          examples:
            - auto
            - flex
      additionalProperties: true
      type: object
      required:
        - model
        - messages
      title: ChatCompletionRequest
    ChatCompletionResponse:
      properties:
        id:
          type: string
          title: Id
          description: A unique identifier for the chat completion.
        object:
          allOf:
            - $ref: '#/components/schemas/ChatCompletionObject'
          description: The object type, which is always `chat.completion`.
        created:
          type: integer
          title: Created
          description: >-
            The Unix timestamp (in seconds) of when the chat completion was
            created.
        model:
          type: string
          title: Model
          description: The model used for the chat completion.
        choices:
          items:
            $ref: '#/components/schemas/ChatCompletionChoice'
          type: array
          title: Choices
          description: >-
            A list of chat completion choices. Can be more than one if `n` is
            greater than 1.
        usage:
          allOf:
            - $ref: '#/components/schemas/Usage'
          description: Usage statistics for the completion request.
        service_tier:
          allOf:
            - $ref: '#/components/schemas/ServiceTier'
          description: The service tier used for the request.
      type: object
      required:
        - id
        - object
        - created
        - model
        - choices
        - usage
        - service_tier
      title: ChatCompletionResponse
    ChatCompletionChunk:
      properties:
        id:
          type: string
          title: Id
          description: >-
            A unique identifier for the chat completion. Each chunk has the same
            ID.
        choices:
          items:
            $ref: '#/components/schemas/ChatCompletionStreamChoice'
          type: array
          title: Choices
          description: >-
            A list of chat completion choices. Can contain more than one
            elements if `n` is greater than 1. Can also be empty for the; last
            chunk if you set `stream_options: {"include_usage": true}`.
        created:
          type: integer
          title: Created
          description: >-
            The Unix timestamp (in seconds) of when the chat completion was
            created. Each chunk has the same timestamp.
        model:
          type: string
          title: Model
          description: The model to generate the completion.
        system_fingerprint:
          type: string
          title: System Fingerprint
          description: >-
            This fingerprint represents the backend configuration that the model
            runs with.; Can be used in conjunction with the `seed` request
            parameter to understand when backend changes have been made that
            might impact determinism.
        object:
          allOf:
            - $ref: '#/components/schemas/ChatCompletionChunkObject'
          description: The object type, which is always `chat.completion.chunk`.
        usage:
          anyOf:
            - $ref: '#/components/schemas/Usage'
            - type: 'null'
          description: >-
            An optional field that will only be present when you set
            `stream_options: {"include_usage": true}` in your request.; When
            present, it contains a null value except for the last chunk which
            contains the token usage statistics for the entire request.
      type: object
      required:
        - id
        - choices
        - created
        - model
        - system_fingerprint
        - object
        - usage
      title: ChatCompletionChunk
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChatCompletionMessage:
      properties:
        role:
          allOf:
            - $ref: '#/components/schemas/ChatMessageRole'
          description: The role of the author of this message.
        content:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ChatCompletionContentPartTextParam'
                  - $ref: '#/components/schemas/ChatCompletionContentPartImageParam'
                  - $ref: '#/components/schemas/ChatCompletionContentPartVideoParam'
              type: array
            - type: 'null'
          title: Content
          description: The contents of the message.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: >-
            An optional name for the participant. Provides the model information
            to differentiate between participants of the same role
        tool_calls:
          anyOf:
            - items:
                $ref: '#/components/schemas/ToolCall'
              type: array
            - type: 'null'
          title: Tool Calls
          description: The tool calls generated by the model, such as function calls.
        tool_call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Call Id
          description: Tool call that this message is responding to.
        reasoning_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasoning Content
          description: The reasoning content of the message.
      type: object
      required:
        - role
      title: ChatCompletionMessage
    ChatCompletionTool:
      properties:
        type:
          type: string
          enum:
            - function
          const: function
          title: Type
          description: The type of the tool. Currently, only `function` is supported.
          default: function
        function:
          allOf:
            - $ref: '#/components/schemas/FunctionObject'
          description: >-
            Defines a tool the model can call, specifically a function in this
            context.
      type: object
      required:
        - function
      title: ChatCompletionTool
    ChatCompletionNamedToolChoice:
      properties:
        type:
          type: string
          enum:
            - function
          const: function
          title: Type
          description: Specifies that the tool choice is a function.
          default: function
        function:
          allOf:
            - $ref: '#/components/schemas/ChatCompletionNamedFunction'
          description: Details the specific function to be called by the model.
      type: object
      required:
        - function
      title: ChatCompletionNamedToolChoice
    app__models__chat_completion__ResponseFormat:
      properties:
        type:
          type: string
          enum:
            - text
            - json_object
            - json_schema
          title: Type
        json_schema:
          anyOf:
            - $ref: '#/components/schemas/JsonSchemaResponseFormat'
            - type: 'null'
      type: object
      required:
        - type
      title: ResponseFormat
    ServiceTier:
      type: string
      enum:
        - auto
        - default
        - over-limit
        - flex
        - no-limit
      title: ServiceTier
      description: |-
        Represents the service tier for requests.

        Attributes:
            Auto: Automatically choose the best available tier for the request (Default or OverLimit).
            Analyze response to determine which tier was used.
            Default: Return 429 errors on hitting the rate limit, do not exceed to the OverLimit tier.
            OverLimit: Indicate that the request was over the user limit.
                    This tier cannot be set by user in the request, but us used in a response for tier=Auto.
            Flex: Do not consume rate-limit credits, but run with lower priority. May still result in 429 errors
            in case of if there is no resources to process.
    ChatCompletionObject:
      type: string
      enum:
        - chat.completion
      const: chat.completion
      title: ChatCompletionObject
    ChatCompletionChoice:
      properties:
        index:
          type: integer
          title: Index
          description: The index of the choice in the list of choices.
        message:
          allOf:
            - $ref: '#/components/schemas/ChatCompletionResponseMessage'
          description: A chat completion message generated by the model.
        finish_reason:
          allOf:
            - $ref: '#/components/schemas/ChatCompletionFinishReason'
          description: >-
            The reason the model stopped generating tokens. This will be `stop`
            if the model hit a natural stop point or a provided stop sequence,
            `length` if the maximum number of tokens specified in the request
            was reached, `content_filter` if content was omitted due to a flag
            from our content filters.
        logprobs:
          anyOf:
            - $ref: '#/components/schemas/ChatCompletionLogprobs'
            - type: 'null'
          description: Log probability information for the choice.
      type: object
      required:
        - index
        - message
        - finish_reason
        - logprobs
      title: ChatCompletionChoice
    Usage:
      properties:
        completion_tokens:
          type: integer
          title: Completion Tokens
          description: Number of tokens in the generated completion.
        prompt_tokens:
          type: integer
          title: Prompt Tokens
          description: Number of tokens in the prompt.
        total_tokens:
          type: integer
          title: Total Tokens
          description: Total number of tokens used in the request (prompt + completion).
        prompt_tokens_details:
          anyOf:
            - $ref: '#/components/schemas/PromptTokensDetails'
            - type: 'null'
          description: Breakdown of tokens used in the prompt.
      type: object
      required:
        - completion_tokens
        - prompt_tokens
        - total_tokens
      title: Usage
    ChatCompletionStreamChoice:
      properties:
        index:
          type: integer
          title: Index
          description: The index of the choice in the list of choices.
        delta:
          allOf:
            - $ref: '#/components/schemas/ChatCompletionStreamResponseDelta'
          description: A chat completion delta generated by streamed model responses.
        finish_reason:
          anyOf:
            - $ref: '#/components/schemas/ChatCompletionFinishReason'
            - type: 'null'
          description: >-
            The reason the model stopped generating tokens. This will be `stop`
            if the model hit a natural stop point or a provided stop sequence,
            `length` if the maximum number of tokens specified in the request
            was reached, `content_filter` if content was omitted due to a flag
            from our content filters.
        logprobs:
          anyOf:
            - $ref: '#/components/schemas/ChatCompletionLogprobs'
            - type: 'null'
          description: Log probability information for the choice.
      type: object
      required:
        - index
        - delta
        - finish_reason
        - logprobs
      title: ChatCompletionStreamChoice
    ChatCompletionChunkObject:
      type: string
      enum:
        - chat.completion.chunk
      const: chat.completion.chunk
      title: ChatCompletionChunkObject
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ChatMessageRole:
      type: string
      enum:
        - system
        - user
        - assistant
        - tool
      title: ChatMessageRole
    ChatCompletionContentPartTextParam:
      properties:
        text:
          type: string
          title: Text
          description: The text content.
        type:
          type: string
          enum:
            - text
          const: text
          title: Type
          description: The type of the content part.
      type: object
      required:
        - text
        - type
      title: ChatCompletionContentPartTextParam
    ChatCompletionContentPartImageParam:
      properties:
        image_url:
          $ref: '#/components/schemas/ImageURL'
        type:
          type: string
          enum:
            - image_url
          const: image_url
          title: Type
          description: The role of the author of this message.
      type: object
      required:
        - image_url
        - type
      title: ChatCompletionContentPartImageParam
    ChatCompletionContentPartVideoParam:
      properties:
        video_url:
          $ref: '#/components/schemas/VideoURL'
        type:
          type: string
          enum:
            - video_url
          const: video_url
          title: Type
          description: The role of the author of this message.
      type: object
      required:
        - video_url
        - type
      title: ChatCompletionContentPartVideoParam
    ToolCall:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          enum:
            - function
          const: function
          title: Type
          default: function
        function:
          $ref: '#/components/schemas/FunctionCall'
      type: object
      required:
        - function
      title: ToolCall
    FunctionObject:
      properties:
        name:
          type: string
          title: Name
          description: >-
            The name of the function to be called. Must be a-z, A-Z, 0-9, or
            contain underscores and dashes, with a maximum length of 64.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: >-
            A description of what the function does, used by the model to choose
            when and how to call the function.
        parameters:
          anyOf:
            - type: object
            - type: 'null'
          title: Parameters
          description: >-
            The parameters the function accepts, described as a JSON Schema
            object. See the guide for examples, and the JSON Schema reference
            for documentation about the format.
        strict:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Strict
          description: >-
            Whether to enable strict schema adherence when generating the
            function call. If set to true, the model will follow the exact
            schema defined in the parameters field. Only a subset of JSON Schema
            is supported when strict is true.
      type: object
      required:
        - name
      title: FunctionObject
    ChatCompletionNamedFunction:
      properties:
        name:
          type: string
          title: Name
          description: Specifies the name of the function the model should call.
      type: object
      required:
        - name
      title: ChatCompletionNamedFunction
    JsonSchemaResponseFormat:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        schema:
          anyOf:
            - type: object
            - type: 'null'
          title: Schema
        strict:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Strict
      type: object
      required:
        - name
      title: JsonSchemaResponseFormat
    ChatCompletionResponseMessage:
      properties:
        role:
          allOf:
            - $ref: '#/components/schemas/ChatMessageRole'
          description: The role of the author of this message.
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
          description: The contents of the message.
        tool_calls:
          anyOf:
            - items:
                $ref: '#/components/schemas/ToolCall'
              type: array
            - type: 'null'
          title: Tool Calls
          description: The tool calls generated by the model, such as function calls.
      type: object
      required:
        - role
      title: ChatCompletionResponseMessage
    ChatCompletionFinishReason:
      type: string
      enum:
        - stop
        - length
        - tool_calls
        - content_filter
      title: ChatCompletionFinishReason
    ChatCompletionLogprobs:
      properties:
        content:
          anyOf:
            - items:
                $ref: '#/components/schemas/ChatCompletionTokenLogprob'
              type: array
            - type: 'null'
          title: Content
          description: A list of message content tokens with log probability information.
      type: object
      required:
        - content
      title: ChatCompletionLogprobs
    PromptTokensDetails:
      properties:
        cached_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cached Tokens
      type: object
      title: PromptTokensDetails
    ChatCompletionStreamResponseDelta:
      properties:
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
          description: The contents of the chunk message.
        role:
          allOf:
            - $ref: '#/components/schemas/ChatMessageRole'
          description: The role of the author of this message.
        tool_calls:
          anyOf:
            - items:
                $ref: '#/components/schemas/ToolCall'
              type: array
            - type: 'null'
          title: Tool Calls
          description: The tool calls generated by the model, such as function calls.
        reasoning_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasoning Content
          description: The reasoning content of the message.
      type: object
      required:
        - role
      title: ChatCompletionStreamResponseDelta
    ImageURL:
      properties:
        detail:
          anyOf:
            - type: string
              enum:
                - auto
                - low
                - high
            - type: 'null'
          title: Detail
          description: Specifies the detail level of the image.
        url:
          type: string
          maxLength: 13981514
          title: Url
          description: Either a URL of the image or the base64 encoded image data.
      type: object
      required:
        - url
      title: ImageURL
    VideoURL:
      properties:
        detail:
          anyOf:
            - type: string
              enum:
                - auto
                - low
                - high
            - type: 'null'
          title: Detail
          description: Specifies the detail level of the video.
        url:
          type: string
          maxLength: 13981514
          title: Url
          description: Either a URL of the video or the base64 encoded video data.
      type: object
      required:
        - url
      title: VideoURL
    FunctionCall:
      properties:
        name:
          type: string
          title: Name
        arguments:
          type: string
          title: Arguments
      type: object
      required:
        - name
        - arguments
      title: FunctionCall
    ChatCompletionTokenLogprob:
      properties:
        token:
          type: string
          title: Token
          description: The token.
        logprob:
          type: number
          title: Logprob
          description: >-
            The log probability of this token, if it is within the top 20 most
            likely tokens. Otherwise, the value `-9999.0` is used to signify
            that the token is very unlikely.
        bytes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Bytes
          description: >-
            A list of integers representing the UTF-8 bytes representation of
            the token. Useful in instances where characters are represented by
            multiple tokens and their byte representations must be combined to
            generate the correct text representation. Can be `null` if there is
            no bytes representation for the token.
        top_logprobs:
          items:
            $ref: '#/components/schemas/ChatCompletionTopLogprob'
          type: array
          title: Top Logprobs
          description: >-
            List of the most likely tokens and their log probability, at this
            token position. In rare cases, there may be fewer than the number of
            requested `top_logprobs` returned.
      type: object
      required:
        - token
        - logprob
        - bytes
        - top_logprobs
      title: ChatCompletionTokenLogprob
    ChatCompletionTopLogprob:
      properties:
        token:
          type: string
          title: Token
          description: The token.
        logprob:
          type: number
          title: Logprob
          description: >-
            The log probability of this token, if it is within the top 20 most
            likely tokens. Otherwise, the value `-9999.0` is used to signify
            that the token is very unlikely.
        bytes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Bytes
          description: >-
            A list of integers representing the UTF-8 bytes representation of
            the token. Useful in instances where characters are represented by
            multiple tokens and their byte representations must be combined to
            generate the correct text representation. Can be `null` if there is
            no bytes representation for the token.
      type: object
      required:
        - token
        - logprob
        - bytes
      title: ChatCompletionTopLogprob
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````